### Type parameters

- #### TSource: WithFaceDetection<{}>

### Hierarchy

- DetectFaceLandmarksTaskBase<WithFaceLandmarks<TSource> | undefined, TSource | undefined>
  - DetectSingleFaceLandmarksTask

## Index

### Constructors

- constructor

### Methods

- run
- then
- withAgeAndGender
- withFaceDescriptor
- withFaceExpressions

## Constructors

### constructor

- new DetectSingleFaceLandmarksTask<TSource>(parentTask: ComposableTask<undefined | TSource> | Promise<undefined | TSource>, input: any, useTinyLandmarkNet: boolean): DetectSingleFaceLandmarksTask<TSource>

- Inherited from DetectFaceLandmarksTaskBase.constructor

  - Defined in globalApi/DetectFaceLandmarksTasks.ts:16

  #### Type parameters

  - #### TSource: { detection: FaceDetection }

  #### Parameters

  - ##### parentTask: ComposableTask<undefined | TSource> | Promise<undefined | TSource>

  - ##### input: any

  - ##### useTinyLandmarkNet: boolean

  #### Returns DetectSingleFaceLandmarksTask<TSource>

## Methods

### run

- run(): Promise<undefined | WithFaceLandmarks<TSource, FaceLandmarks68>>

- Overrides DetectFaceLandmarksTaskBase.run

  - Defined in globalApi/DetectFaceLandmarksTasks.ts:63

  #### Returns Promise<undefined | WithFaceLandmarks<TSource, FaceLandmarks68>>

### then

- then(onfulfilled: (value: undefined | WithFaceLandmarks<TSource, FaceLandmarks68>) => undefined | WithFaceLandmarks<TSource, FaceLandmarks68> | PromiseLike<undefined | WithFaceLandmarks<TSource, FaceLandmarks68>>): Promise<undefined | WithFaceLandmarks<TSource, FaceLandmarks68>>

- Inherited from DetectFaceLandmarksTaskBase.then

  - Defined in globalApi/ComposableTask.ts:3

  #### Parameters

  - ##### onfulfilled: (value: undefined | WithFaceLandmarks<TSource, FaceLandmarks68>) => undefined | WithFaceLandmarks<TSource, FaceLandmarks68> | PromiseLike<undefined | WithFaceLandmarks<TSource, FaceLandmarks68>>

    - - (value: undefined | WithFaceLandmarks<TSource, FaceLandmarks68>): undefined | WithFaceLandmarks<TSource, FaceLandmarks68> | PromiseLike<undefined | WithFaceLandmarks<TSource, FaceLandmarks68>>

      - #### Parameters

        - ##### value: undefined | WithFaceLandmarks<TSource, FaceLandmarks68>

        #### Returns undefined | WithFaceLandmarks<TSource, FaceLandmarks68> | PromiseLike<undefined | WithFaceLandmarks<TSource, FaceLandmarks68>>

  #### Returns Promise<undefined | WithFaceLandmarks<TSource, FaceLandmarks68>>

### withAgeAndGender

- withAgeAndGender(): PredictSingleAgeAndGenderWithFaceAlignmentTask<WithFaceLandmarks<TSource, FaceLandmarks68>>

- - Defined in globalApi/DetectFaceLandmarksTasks.ts:81

  #### Returns PredictSingleAgeAndGenderWithFaceAlignmentTask<WithFaceLandmarks<TSource, FaceLandmarks68>>

### withFaceDescriptor

- withFaceDescriptor(): ComputeSingleFaceDescriptorTask<WithFaceLandmarks<TSource, FaceLandmarks68>>

- - Defined in globalApi/DetectFaceLandmarksTasks.ts:85

  #### Returns ComputeSingleFaceDescriptorTask<WithFaceLandmarks<TSource, FaceLandmarks68>>

### withFaceExpressions

- withFaceExpressions(): PredictSingleFaceExpressionsWithFaceAlignmentTask<WithFaceLandmarks<TSource, FaceLandmarks68>>

- - Defined in globalApi/DetectFaceLandmarksTasks.ts:77

  #### Returns PredictSingleFaceExpressionsWithFaceAlignmentTask<WithFaceLandmarks<TSource, FaceLandmarks68>>